import { applicationConfig } from "../interfaces/application-config";
import { AppConstructor } from "../types/types";
export declare function bootstrapApplication(APP: AppConstructor, appConfig: applicationConfig): {
    app: import("express").Express;
    prefix: string;
    router: import("../..").RouterMethods;
    setPrefix(prefix: string): void;
    httpErrorHandler: import("../..").HttpErrorHandler | undefined;
};
